package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsMessages;
import com.ruoyi.system.domain.vo.ZsMessagesVo;
import com.ruoyi.system.domain.bo.ZsMessagesBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 站点留言Service接口
 *
 * @author 王强
 * @date 2025-05-06
 */
public interface IZsMessagesService {

    /**
     * 查询站点留言
     */
    ZsMessagesVo queryById(Long id);

    /**
     * 查询站点留言列表
     */
    TableDataInfo<ZsMessagesVo> queryPageList(ZsMessagesBo bo, PageQuery pageQuery);

    /**
     * 查询站点留言列表
     */
    List<ZsMessagesVo> queryList(ZsMessagesBo bo);

    /**
     * 新增站点留言
     */
    Boolean insertByBo(ZsMessagesBo bo);

    /**
     * 修改站点留言
     */
    Boolean updateByBo(ZsMessagesBo bo);

    /**
     * 校验并批量删除站点留言信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
